---
title: "FreeBSD 10.0-RELEASE Announcement"
sidenav: download
---

include::shared/en/urls.adoc[]
include::shared/releases.adoc[]
:thisDate: {rel100-current-date}

= FreeBSD 10.0-RELEASE Announcement

Date: {thisDate}

The FreeBSD Release Engineering Team is pleased to announce the availability of FreeBSD 10.0-RELEASE. This is the first release of the stable/10 branch.

Some of the highlights:

* GCC is no longer installed by default on architectures where clang(1) is the default compiler.
* Unbound has been imported to the base system as the local caching DNS resolver.
* BIND has been removed from the base system.
* make(1) has been replaced with bmake(1), obtained from the NetBSD Project.
* pkg(7) is now the default package management utility.
* pkg_add(1), pkg_delete(1), and related tools have been removed.
* Major enhancements in virtualization, including the addition of bhyve(8), virtio(4), and native paravirtualized drivers providing support for FreeBSD as a guest operating system on Microsoft Hyper-V.
* TRIM support for Solid State Drives has been added to ZFS.
* Support for the high-performance LZ4 compression algorithm has been added to ZFS.

For a complete list of new features and known problems, please see the online release notes and errata list, available at:

* `http://www.FreeBSD.org/releases/10.0R/relnotes/`
* `http://www.FreeBSD.org/releases/10.0R/errata/`

For more information about FreeBSD release engineering activities, please see:

* `http://www.FreeBSD.org/releng/`

== Availability

FreeBSD 10.0-RELEASE is now available for the amd64, i386, ia64, powerpc, powerpc64, and sparc64 architectures.

FreeBSD 10.0 can be installed from bootable ISO images or over the network. Some architectures also support installing from a USB memory stick. The required files can be downloaded via FTP as described in the section below. While some of the smaller FTP mirrors may not carry all architectures, they will all generally contain the more common ones such as amd64 and i386.

SHA256 and MD5 hashes for the release ISO and memory stick images are included at the bottom of this message.

The purpose of the images provided as part of the release are as follows:

*dvd1*: +
This contains everything necessary to install the base FreeBSD operating system, the documentation, and a small set of pre-built packages aimed at getting a graphical workstation up and running. It also supports booting into a "livefs" based rescue mode. This should be all you need if you can burn and use DVD-sized media.

*disc1*: +
This contains the base FreeBSD operating system. It also supports booting into a "livefs" based rescue mode. There are no pre-built packages.

*bootonly*: +
This supports booting a machine using the CDROM drive but does not contain the support for installing FreeBSD from the CD itself. You would need to perform a network based install (e.g. from an FTP server) after booting from the CD.

*memstick*: +
This can be written to an USB memory stick (flash drive) and used to do an install on machines capable of booting off USB drives. It also supports booting into a "livefs" based rescue mode. There are no pre-built packages.

As one example of how to use the memstick image, assuming the USB drive appears as /dev/da0 on your machine something like this should work:

....
# dd if=FreeBSD-10.0-RELEASE-amd64-memstick.img of=/dev/da0 bs=10240 conv=sync
....

Be careful to make sure you get the target (of=) correct.

FreeBSD 10.0-RELEASE can also be purchased on CD-ROM or DVD from several vendors. One of the vendors that will be offering FreeBSD 10.0-based products is:

* FreeBSD Mall, Inc.`http://www.freebsdmall.com`

== FTP

FreeBSD 10.0-RELEASE may be downloaded via ftp from the following site:

* `ftp://ftp.freebsd.org/pub/FreeBSD/releases/ISO-IMAGES/10.0/`

However before trying this site, please check your regional mirror(s) first by going to:

* `ftp://ftp.<yourdomain>.FreeBSD.org/pub/FreeBSD`

Any additional mirror sites will be labeled ftp2, ftp3 and so on.

More information about FreeBSD mirror sites can be found at:

* `link:{handbook}#mirrors-ftp[http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html]`

For instructions on installing FreeBSD or updating an existing machine to 10.0-RELEASE please see:

* `http://www.FreeBSD.org/releases/10.0R/installation/`

*Important note to freebsd-update(8) users:* Please be sure to follow the instructions in the following FreeBSD Errata Notices before upgrading the system to 10.0-RELEASE:

* http://www.freebsd.org/security/advisories/FreeBSD-EN-13:04.freebsd-update.asc[EN-13:04.freebsd-update]
* http://www.freebsd.org/security/advisories/FreeBSD-EN-13:05.freebsd-update.asc[EN-13:05.freebsd-update]

== Support

FreeBSD 10.0-RELEASE will be supported until 31 January 2015. The End-of-Life dates can be found at:

* `http://www.FreeBSD.org/security/`

== Other Projects Based on FreeBSD

There are many "third party" Projects based on FreeBSD. The Projects range from re-packaging FreeBSD into a more "novice friendly" distribution to making FreeBSD available on Amazon's EC2 infrastructure. For more information about these Third Party Projects see:

* `http://wiki.FreeBSD.org/3rdPartyProjects`

== Acknowledgments

Many companies donated equipment, network access, or man-hours to support the release engineering activities for FreeBSD 10.0 including The FreeBSD Foundation, Yahoo!, NetApp, Internet Systems Consortium, ByteMark Hosting, Sentex Communications, New York Internet, Juniper Networks, NLNet, and iXsystems.

The release engineering team for 10.0-RELEASE includes:

[cols=",",]
|===
|Ken Smith <kensmith@FreeBSD.org> |Release Engineering Lead
|Marcus von Appen <mva@FreeBSD.org> |Release Engineering
|Glen Barber <gjb@FreeBSD.org> |Release Engineering, 10.0-RELEASE Release Engineer
|Konstantin Belousov <kib@FreeBSD.org> |Release Engineering
|Joel Dahl <joel@FreeBSD.org> |Release Engineering
|Baptiste Daroussin <bapt@FreeBSD.org> |Package Building
|Bryan Drewery <bdrewery@FreeBSD.org> |Package Building
|Marc Fonvieille <blackend@FreeBSD.org> |Release Engineering, Documentation
|Steven Kreuzer <skreuzer@FreeBSD.org> |Release Engineering
|Xin Li <delphij@FreeBSD.org> |Release Engineering, Security
|Josh Paetzel <jpaetzel@FreeBSD.org> |Release Engineering
|Colin Percival <cperciva@FreeBSD.org> |Security Officer Emeritus
|Craig Rodrigues <rodrigc@FreeBSD.org> |Release Engineering
|Hiroki Sato <hrs@FreeBSD.org> |Release Engineering, Documentation
|Gleb Smirnoff <glebius@FreeBSD.org> |Release Engineering
|Dag-Erling Smørgrav <des@FreeBSD.org> |Security Officer
|Marius Strobl <marius@FreeBSD.org> |Release Engineering
|Robert Watson <rwatson@FreeBSD.org> |Release Engineering, Security
|===

== Trademark

FreeBSD is a registered trademark of The FreeBSD Foundation.

== ISO Image Checksums

....
SHA256 (FreeBSD-10.0-RELEASE-amd64-bootonly.iso) = a005b55a7d25e00b247b1e1bddbb9279faaecfa01f1a42846a92f62908229aa0
SHA256 (FreeBSD-10.0-RELEASE-amd64-disc1.iso) = 9c377b4a4e63443c0b210080694de26133e6a276eddb07c7e00e1c9aebd84109
SHA256 (FreeBSD-10.0-RELEASE-amd64-dvd1.iso) = b0f25ae6f165132525cdda690de7b762ba6bcec3a77e784ca293a49a520fe8f5
SHA256 (FreeBSD-10.0-RELEASE-amd64-memstick.img) = 8cfd48c35d968f4f7a7e34376fd77af351fbbf2a37f4654843845bdb2cd51bbe
....

....
MD5 (FreeBSD-10.0-RELEASE-amd64-bootonly.iso) = d27f835c01be0318936051abc0dfa3ce
MD5 (FreeBSD-10.0-RELEASE-amd64-disc1.iso) = fd25619fa0d69c29bea8347b1070ac75
MD5 (FreeBSD-10.0-RELEASE-amd64-dvd1.iso) = 26d11e2d6f24ff1d97dffeaa3c500c03
MD5 (FreeBSD-10.0-RELEASE-amd64-memstick.img) = f083747bd1aa3922aa9b92b37836fa97
....

....
SHA256 (FreeBSD-10.0-RELEASE-i386-bootonly.iso) = 26c667ab930ddc2fa9f060518ec63cee7b0a63e97186ff5640919b431db09648
SHA256 (FreeBSD-10.0-RELEASE-i386-disc1.iso) = 2c09643b3f79c703e424c03408882369025cec655c24a6d81ee073081ee75ebc
SHA256 (FreeBSD-10.0-RELEASE-i386-dvd1.iso) = dd81af12cfdfd72162e5238ad8241e1ff249398574ca6922d5581ea3274ea66a
SHA256 (FreeBSD-10.0-RELEASE-i386-memstick.img) = cd471b30a8fa9eb0c86c222cc4035396b08c3daf8b6f0489672afff9703ca6e7
....

....
MD5 (FreeBSD-10.0-RELEASE-i386-bootonly.iso) = 1d481dd6972700160b305c21cfece123
MD5 (FreeBSD-10.0-RELEASE-i386-disc1.iso) = 9d12797f008f6c180a2a514476c2dede
MD5 (FreeBSD-10.0-RELEASE-i386-dvd1.iso) = 53e905031bf58e105e9842ef8c8f89da
MD5 (FreeBSD-10.0-RELEASE-i386-memstick.img) = ec366c5b83fc2b1dd93a521c1a323a10
....

....
SHA256 (FreeBSD-10.0-RELEASE-ia64-bootonly.iso) = ff9e1573bcef36bc6e5a132aeb8620b6f87671dfeaaf18ad31fbda5fcf0d0c7a
SHA256 (FreeBSD-10.0-RELEASE-ia64-disc1.iso) = 547d8e78621af787ca351adf2d4c7edcf9490e63884fe9be34d69418e5fc1ae8
SHA256 (FreeBSD-10.0-RELEASE-ia64-memstick.img) = 60ea1fb0311e4d4eb4300a2a3bef24adcbc23ee022dc65b46d7aee1d313db61f
....

....
MD5 (FreeBSD-10.0-RELEASE-ia64-bootonly.iso) = de709ae289827b862bb18f3224174158
MD5 (FreeBSD-10.0-RELEASE-ia64-disc1.iso) = 789db226af47a3107711709c49125b7d
MD5 (FreeBSD-10.0-RELEASE-ia64-memstick.img) = 085f1eb284b3976d076220ebff44bd4c
....

....
SHA256 (FreeBSD-10.0-RELEASE-powerpc-bootonly.iso) = a24685ed70287d6d0c708178946f19cf67b1d2512b2d873708d3da0b6b1e137e
SHA256 (FreeBSD-10.0-RELEASE-powerpc-disc1.iso) = 78d733791533a48ea90d442f677666ba8017070445a2b936b21f57c054e9b024
SHA256 (FreeBSD-10.0-RELEASE-powerpc-memstick.img) = 9139598f6ef8c1bf53dcf4a7e7866fcfc5b5fbbf9b36a357f58654cffb71767d
....

....
MD5 (FreeBSD-10.0-RELEASE-powerpc-bootonly.iso) = 378b02e51928fc2306d937be77c02add
MD5 (FreeBSD-10.0-RELEASE-powerpc-disc1.iso) = b71e4ea904dacadeed9154c5396e4bf8
MD5 (FreeBSD-10.0-RELEASE-powerpc-memstick.img) = 17b1addf7261f507ab05a6ff0fc67467
....

....
SHA256 (FreeBSD-10.0-RELEASE-powerpc-powerpc64-bootonly.iso) = 95984c806defff5b3e066b06af5437f80b9348b1134098acf0b174b3359c431c
SHA256 (FreeBSD-10.0-RELEASE-powerpc-powerpc64-disc1.iso) = 38b03ef2620544e71af7c46ec001b6d63a2ffbe850f33a6f08e1b9da4b682c34
SHA256 (FreeBSD-10.0-RELEASE-powerpc-powerpc64-memstick.img) = ac268349d1642400136be2827a81222ad4e7d75a287e895622482189b643b015
....

....
MD5 (FreeBSD-10.0-RELEASE-powerpc-powerpc64-bootonly.iso) = a215b48b78481b4ff399f54c95024e79
MD5 (FreeBSD-10.0-RELEASE-powerpc-powerpc64-disc1.iso) = f0081ae54e8677c090a1b88838c5cd94
MD5 (FreeBSD-10.0-RELEASE-powerpc-powerpc64-memstick.img) = 08b260573677f925da20498fe714c245
....

....
SHA256 (FreeBSD-10.0-RELEASE-sparc64-bootonly.iso) = 773bc7d438e89ce8f2f4fee90db59b17025f6da5c61259bbd02c275305cc968d
SHA256 (FreeBSD-10.0-RELEASE-sparc64-disc1.iso) = 0e7fc117dfa785e6df793898c2fdccd9054c81523d7a734fc2c4b5e5baac6999
....

....
MD5 (FreeBSD-10.0-RELEASE-sparc64-bootonly.iso) = 10ab6d0462d6e6fc876655e0a1c1d202
MD5 (FreeBSD-10.0-RELEASE-sparc64-disc1.iso) = ebcf423b5e610ca0448c44c65901e3f2
....

Love FreeBSD? Support this and future releases with a https://www.freebsdfoundation.org/donate/[donation] to The FreeBSD Foundation!
